require 'spec_integration_helper'

describe "managing collections" do
  before :all do
    @site = Gamifier.engine.sites.find("ibadgedyou.dev")
    @site.should_not be_nil
    Gamifier.engine.activity_definitions.reset!(:site => "ibadgedyou.dev")
  end

  it "should list all players" do
    3.times do |i|
      behavior = Gamifier.engine.activity_definitions.build({:selector => {:verb => "visit#{i}"}, :name => "visit#{i}", :site_id => @site._id}).save
      behavior.should_not be_nil
    end
    Gamifier.engine.activity_definitions.all(:site => "ibadgedyou.dev").length.should eq 3
    Gamifier.engine.activity_definitions.reset!(:site => "ibadgedyou.dev")
    Gamifier.engine.activity_definitions.all(:site => "ibadgedyou.dev").length.should eq 0
  end

end
