# -*- encoding: utf-8 -*-
require File.expand_path('../lib/gamifier/version', __FILE__)

Gem::Specification.new do |gem|
  gem.license       = 'MIT'
  gem.authors       = ["Cyril Rohr"]
  gem.email         = ["cyril.rohr@gmail.com"]
  gem.description   = %q{Gem for accessing game engine APIs}
  gem.summary       = %q{Currently supports Badgeville Core API}
  gem.homepage      = "https://github.com/dimelo/gamifier"

  gem.files         = `git ls-files`.split($\)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.name          = "gamifier"
  gem.require_paths = ["lib"]
  gem.version       = Gamifier::VERSION

  gem.add_dependency "faraday", "~> 0.8"
  gem.add_dependency "faraday_middleware", "~> 0.8"
  gem.add_dependency "multi_json"

  gem.add_development_dependency('rspec', '~> 2')
  gem.add_development_dependency('webmock')
end
